Subject: Re: [TEST] bridge tests (was: net-next is OPEN)

From: Jakub Kicinski <[email-masked]>
Date: Thu, 8 Feb 2024 09:26:08 -0800

On Thu, 8 Feb 2024 18:21:29 +0200 Ido Schimmel wrote:
> On Thu, Feb 01, 2024 at 04:16:19PM -0800, Jakub Kicinski wrote:
> > On Thu, 1 Feb 2024 07:30:25 -0800 Jakub Kicinski wrote:  
> > > Ah, ugh, sorry for the misdirection, you're right.  
> > 
> > Confirmed, with the SUID cleared test-bridge-neigh-suppress-sh now
> > passes on everything with the exception of metal+debug kernel.  
> 
> I'm sorry for bothering you with this, 

No worries at all :)

> but I checked today's logs and it
> seems there is a similar problem with arping:
> https://netdev-3.bots.linux.dev/vmksft-net-dbg/results/456561/8-test-bridge-neigh-suppress-sh/stdout
> https://netdev-3.bots.linux.dev/vmksft-net/results/456562/6-test-bridge-neigh-suppress-sh/stdout
> 
> And according to this log the ndisc6 problem resurfaced:
> https://netdev-3.bots.linux.dev/vmksft-net/results/456382/6-test-bridge-neigh-suppress-sh/stdout

It seems pretty faily:

https://netdev.bots.linux.dev/flakes.html?br-cnt=80&tn-needle=bridge-neigh&min-flip=0

I guess the short green streak does coincide with the fix, tho. Hm.

> Any chance that something in the OS changed since last week?

My memory is bad so I started keeping a log:

https://docs.google.com/spreadsheets/d/1mFnt91SKtA9ENIUfY0v2UmZSXJzmvsa4oqha4t6JVBs/edit?pli=1#gid=338019672

But it's not the suid:

$ find tools/fs/ -perm -4000
$ ll $(find tools/fs/ -name arping)
-rwxr-xr-x. 1 virtme virtme 79360 Jan 29 14:38 tools/fs/usr/bin/arping
$ ll $(find tools/fs/ -name ndisc6)
-rwxr-xr-x. 1 virtme virtme 53840 Jan 29 14:36 tools/fs/usr/bin/ndisc6

And it occasionally blips to "pass" so can't be completely broken env.

I run the test now with VERBOSE=1 and -q removed from arping and ndisc6:
https://netdev-3.bots.linux.dev/vmksft-net/test_bridge_neigh_suppress/

It just says: Received 0 response(s) :(

Repro is 100%, LMK if you'd like me to try with some custom diff on
top..